#ifndef STROKESAREA_H_
#define STROKESAREA_H_

#include <QColor>
#include <QImage>
#include <QVector>
#include <QPoint>
#include <QWidget>

class StrokesArea : public QWidget {
	Q_OBJECT

public:
	StrokesArea(QWidget* parent = 0);
	QVector<QPoint> vector;

	QVector<QPoint> events;

public slots:
	void clearImage();

protected:
	void mousePressEvent(QMouseEvent* event);
	void mouseMoveEvent(QMouseEvent* event);
	void mouseReleaseEvent(QMouseEvent* event);
	void paintEvent(QPaintEvent* event);
	void resizeEvent(QResizeEvent* event);

private:
	void drawLineTo(const QPoint& endPoint);
	void resizeImage(QImage* image, const QSize& newSize);

	bool scribbling;
	int myPenWidth;
	QColor myPenColor;
	QImage image;
	QPoint lastPoint;
};

#endif
